summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorBenda Xu <heroxbd@gentoo.org>2018-02-07 04:12:00 +0900
committerBenda Xu <heroxbd@gentoo.org>2018-02-07 04:42:42 +0900
commit500f7577ce2258a1540dbe19a315fcd6d292c480 (patch)
tree4b0bbc3eb117b19536ad1890a67a577d585fb480 /sci-physics
parentsci-geosciences/gpsd: Drop old (diff)
downloadgentoo-500f7577ce2258a1540dbe19a315fcd6d292c480.tar.gz
gentoo-500f7577ce2258a1540dbe19a315fcd6d292c480.tar.bz2
gentoo-500f7577ce2258a1540dbe19a315fcd6d292c480.zip
sci-physics/cernlib: bump to debian patchset 4.3
This fixes build on 17.0 profiles with PIE. Reference: https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=837657 Package-Manager: Portage-2.3.24, Repoman-2.3.6
Diffstat (limited to 'sci-physics')
-rw-r--r--sci-physics/cernlib/Manifest1
-rw-r--r--sci-physics/cernlib/cernlib-2006-r7.ebuild107
2 files changed, 108 insertions, 0 deletions
diff --git a/sci-physics/cernlib/Manifest b/sci-physics/cernlib/Manifest
index a5d741a6319..8e42f93ad04 100644
--- a/sci-physics/cernlib/Manifest
+++ b/sci-physics/cernlib/Manifest
@@ -1,3 +1,4 @@
DIST cernlib_20061220+dfsg3-2.debian.tar.gz 257093 BLAKE2B 35ae90e38ddb935f252531cdf49dc038cdb7543b9168076f97458323a2458938cfa2f1768165d4cc59649021e2b268139dd53b3ef09d2a6601e1f68792c69af1 SHA512 43a2ca55d42b92bfb551b029c75728e80b4c83473397b52f746d9481c7503762bc5a281732908bfeb29a64f728fed4c127ed1cb9101c16e4fb2dd28c452730ea
DIST cernlib_20061220+dfsg3-4.1.debian.tar.xz 170100 BLAKE2B 7bc206a246cc437babae6cdb38bd5831ccf4f665bbe65f2ebabf7df8a68c0b7c317f4a7ed283024bf70b6fe50fa8f01bd9a2882cfba174020a23f768f69c237c SHA512 d259ab304b040c6bab8535c0db60aaa466ef7bb9bbcce9b2d8931505a180c92935d428e0dd45bfa6199ec939f67580a6d3ac1035c0384bdcf9e6601a351ce90a
+DIST cernlib_20061220+dfsg3-4.3.debian.tar.xz 168928 BLAKE2B 15147d1d84d3e4abb06620154425a035e64d6e5254177f9647634fdf63e4a5aa42deba6c8f638f338cf85e8766732388cc6298813dd5b007d1ef97fddcef3d39 SHA512 8cb666d9ef62627e7e3e55bd1986b40ca9ddfcc882101b1a3597c1d60870e30649b5c7716687f7e4106b30ba0aa88a9ca7bc3a3651b0d1405f55a6f611dc308b
DIST cernlib_20061220+dfsg3.orig.tar.gz 6434476 BLAKE2B 069eda316ffbc4873e79952283a0aa2693ed58a3cc369bca72e29a4feaef4840922b4f62ababba1476f2aa0309f68833a4a35a3b5c6ac015bdbd85b3b58b2efe SHA512 11fade45c5ae69c858f37a82e74ab1a69416314a23c12ec5205ee6b918590d66f26d3ae68afa466ae3109d736212968ece956a444270ddd189a27a24c0ccece8
diff --git a/sci-physics/cernlib/cernlib-2006-r7.ebuild b/sci-physics/cernlib/cernlib-2006-r7.ebuild
new file mode 100644
index 00000000000..ddc16413da2
--- /dev/null
+++ b/sci-physics/cernlib/cernlib-2006-r7.ebuild
@@ -0,0 +1,107 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=5
+
+inherit eutils fortran-2 multilib toolchain-funcs
+
+DEB_PN=cernlib
+DEB_PV=20061220+dfsg3
+DEB_PR=4.3
+DEB_P=${DEB_PN}_${DEB_PV}
+
+DESCRIPTION="CERN program library for High Energy Physics"
+HOMEPAGE="https://cernlib.web.cern.ch/cernlib/"
+SRC_URI="
+ mirror://debian/pool/main/${DEB_PN:0:1}/${DEB_PN}/${DEB_P}.orig.tar.gz
+ mirror://debian/pool/main/${DEB_PN:0:1}/${DEB_PN}/${DEB_P}-${DEB_PR}.debian.tar.xz"
+
+SLOT="0"
+LICENSE="GPL-2 LGPL-2 BSD"
+KEYWORDS="~amd64 ~hppa ~sparc ~x86 ~amd64-linux ~x86-linux"
+
+RDEPEND="
+ x11-libs/motif:0
+ virtual/lapack
+ dev-lang/cfortran"
+DEPEND="${RDEPEND}
+ x11-misc/imake
+ x11-misc/makedepend
+ virtual/pkgconfig"
+
+S="${WORKDIR}/${DEB_PN}-${DEB_PV}"
+
+src_prepare() {
+ mv ../debian . || die
+ epatch "${FILESDIR}"/${P}-nogfortran.patch
+ # set some default paths
+ sed -i \
+ -e "s:/usr/local:${EROOT}/usr:g" \
+ -e "s:prefix)/lib/\$(DEB_HOST_MULTIARCH):prefix)/$(get_libdir):" \
+ -e "s:\$(prefix)/etc:${EROOT}/etc:" \
+ -e 's:$(prefix)/man:$(prefix)/share/man:' \
+ debian/add-ons/cernlib.mk || die "sed failed"
+
+ # use system blas and lapack set by gentoo framework
+ sed -i \
+ -e "s:\$DEPS -lm:$($(tc-getPKG_CONFIG) --libs blas):" \
+ -e "s:\$DEPS -llapack -lm:$($(tc-getPKG_CONFIG) --libs lapack):" \
+ -e 's:`depend $d $a blas`::' \
+ -e 's:X11R6:X11:g' \
+ -e 's: /[^ ]*`dpkg-arch.*`::' \
+ debian/add-ons/bin/cernlib.in || die "sed failed"
+
+ cp debian/add-ons/Makefile .
+ export DEB_BUILD_OPTIONS="$(tc-getFC) nostrip nocheck"
+
+ einfo "Applying Debian patches"
+ emake -j1 patch
+
+ epatch "${FILESDIR}"/${P}-fgets.patch
+ epatch "${FILESDIR}"/${P}-ypatchy-short-name.patch
+ # since we depend on cfortran, do not use the one from cernlib
+ rm src/include/cfortran/cfortran.h || die
+
+ # respect users flags
+ sed -i \
+ -e 's/-O3/-O2/g' \
+ -e "s/-O2/${CFLAGS}/g" \
+ -e "s|\(CcCmd[[:space:]]*\)gcc|\1$(tc-getCC)|g" \
+ -e "s|\(CplusplusCmd[[:space:]]*\)g++|\1$(tc-getCXX)|g" \
+ -e "s|\(FortranCmd[[:space:]]*\)gfortran|\1$(tc-getFC)|g" \
+ src/config/linux.cf \
+ || die "sed linux.cf failed"
+ sed -i \
+ -e "s|\(ArCmdBase[[:space:]]*\)ar|\1$(tc-getAR)|g" \
+ -e "s|\(RanlibCmd[[:space:]]*\)ranlib|\1$(tc-getRANLIB)|g" \
+ src/config/Imake.tmpl \
+ || die "sed Imake.tmpl failed"
+
+ sed -i \
+ -e 's/\$(FCLINK)/\$(FCLINK) $(LDFLAGS)/' \
+ -e 's/\$(CCLINK)/\$(CCLINK) $(LDFLAGS)/' \
+ src/config/{biglib,fortran,Imake}.rules \
+ src/patchy/Imakefile \
+ || die "sed for ldflags propagation failed"
+
+ # add missing headers for implicit
+ sed -i \
+ -e '0,/^#include/i#include <stdlib.h>' \
+ src/kernlib/kerngen/ccgen*/*.c || die
+}
+
+src_compile() {
+ # parallel make breaks and complex patched imake system, hard to debug
+ emake -j1 cernlib-indep cernlib-arch
+}
+
+src_test() {
+ LD_LIBRARY_PATH="${S}"/shlib emake -j1 cernlib-test
+}
+
+src_install() {
+ default
+ cd debian
+ dodoc changelog README.* deadpool.txt NEWS copyright
+ newdoc add-ons/README README.add-ons
+}